Package io.flutter.embedding.engine.systemchannels

# Interface AccessibilityChannel.AccessibilityMessageHandler

All Superinterfaces:
  `FlutterJNI.AccessibilityDelegate`

Enclosing class:
  `AccessibilityChannel`

public static interface AccessibilityChannel.AccessibilityMessageHandler extends FlutterJNI.AccessibilityDelegate
Handler that receives accessibility messages sent from Flutter to Android through a given `AccessibilityChannel`.

To register an `AccessibilityMessageHandler` with a `AccessibilityChannel`, see `AccessibilityChannel.setAccessibilityMessageHandler(AccessibilityMessageHandler)`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `announce(String message)`
  Deprecated.
  `void`
  `onFocus(int nodeId)`
  The framework has requested focus on the semantics node with the given `nodeId`.
  `void`
  `onLongPress(int nodeId)`
  The user has long pressed on the semantics node with the given `nodeId`.
  `void`
  `onTap(int nodeId)`
  The user has tapped on the semantics node with the given `nodeId`.
  `void`
  `onTooltip(String message)`
  The user has opened a tooltip.
  `void`
  `resetSemantics()`
  The framework has stopped compiling the accessibility tree.

  ### Methods inherited from interface io.flutter.embedding.engine.FlutterJNI.AccessibilityDelegate

  `setLocale, updateCustomAccessibilityActions, updateSemantics`

- ## Method Details

  - ### announce

    @Deprecated(since="Android API level 36") void announce(@NonNull String message)
    Deprecated.
    The Dart application would like the given `message` to be announced.

    Using AnnounceSemanticsEvent for accessibility is deprecated on Android. Migrate to using semantic properties for a more robust and accessible user experience.

    See Also:
      - announceForAccessibility"

  - ### onTap

    void onTap(int nodeId)
    The user has tapped on the semantics node with the given `nodeId`.

  - ### onLongPress

    void onLongPress(int nodeId)
    The user has long pressed on the semantics node with the given `nodeId`.

  - ### onFocus

    void onFocus(int nodeId)
    The framework has requested focus on the semantics node with the given `nodeId`.

  - ### onTooltip

    void onTooltip(@NonNull String message)
    The user has opened a tooltip.

  - ### resetSemantics

    void resetSemantics()
    The framework has stopped compiling the accessibility tree.

    The subclass needs to clean up any cached accessibility data from previous update.

    Specified by:
      `resetSemantics` in interface `FlutterJNI.AccessibilityDelegate`